package env;
########################################################################
# File:           env.pm                                               #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

$DATAPATH = "/root/usermanager/data";	# path to the password/template files

$topdomain = "de";
$subdomain = "mylinux";
$windomain = "MYLINUX";
$hostname = "lfs";
$domain = "$subdomain.$topdomain";
$fqhostname = "$hostname.$domain";	# name of THIS machine
$cyrushost = "localhost";		# IMAP mailserver machine
$maildir = "/var/imap/spool/user";	# users mail directories, needed for
					# the delete/archiving command;
					# empty, if the mailserver is on
					# another machine
$squirreldata = "/usr/local/httpd/htdocs/squirrelmail/data";
					# path to users squirrelmail
					# preferences and addressbooks, needed
					# for the delete/archiving command;
					# empty, if the webserver is on
					# another machine
$ldapbase = "dc=$subdomain,dc=$topdomain";
$ldaprootdn = "cn=admin,$ldapbase";
$ldaphost = "$hostname.$domain";
$mailtrash = "Gel&APY-schte Objekte";	# name of the squirrelmail trash
					# mailbox
$mailsent = "Gesendete Objekte";	# name of the squirrelmail sent mailbox
$maildrafts = "Entw&APw-rfe";		# name of the squirrelmail drafts
					# mailbox
