#!/usr/bin/perl
########################################################################
# File:           rootfiles/groupadd.pl                                #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

use mylinux::usermanager;

$TMPGID = &usermanager::getgidnumber;

print "Group Name: ";
$GROUPNAME = <STDIN>;
chomp $GROUPNAME;

die ("Only characters a-z, A-Z, 0-9, ., -, +, _ are allowed!\n")
  if ($GROUPNAME =~ /[^a-zA-Z0-9._+-]/);

print "Description: ";
$DESCRIPTION = <STDIN>;
chomp $DESCRIPTION;

print "List of member UIDs\nAn UID is f.e. root\nFor end of list type <return>\n";
print "Member UID: ";
$MEMBER = <STDIN>;
chomp $MEMBER;

die ("Only characters a-z, A-Z, 0-9, ., -, +, _ are allowed!\n")
  if ($MEMBER =~ /[^a-zA-Z0-9._+-]/);

while ($MEMBER) {

  push @MEMBERLIST, $MEMBER;

  print "Member UID: ";
  $MEMBER = <STDIN>;
  chomp $MEMBER;

  die ("Only characters a-z, A-Z, 0-9, ., -, +, _ are allowed!\n")
    if ($MEMBER =~ /[^a-zA-Z0-9._+-]/);

}

&usermanager::creategroup ($GROUPNAME, $TMPGID, $DESCRIPTION, @MEMBERLIST);
