#!/bin/sh
########################################################################
# File:           publicfiles/daily.sh                                 #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.95                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

# correcting clock
/usr/local/sbin/netdate ntp0.fau.de
/sbin/hwclock -w --utc

# create locate database
updatedb

# create fulltext index
/usr/bin/htdig -c /usr/local/httpd/htdig.conf
/usr/bin/htmerge -c /usr/local/httpd/htdig.conf

# compress old log files
/usr/local/sbin/mylinux/logrotate

# scan modified files only
echo "Begin virus scan:	"`date`
find /var/lib/samba/pdfdocs/ /var/lib/samba/templates/ /home/ /usr/local/httpd/htdocs/ /var/imap/spool/user/ -newer /root/usermanager/data/tmp/.deltime -type f -exec clamscan --stdout {} \; | grep '^/' | grep -v ': OK$'
echo "End virus scan:	"`date`
