#!/bin/sh
########################################################################
# File:           publicfiles/deltmpfiles                              #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

if [ -e /root/usermanager/data/tmp/.deltime ]
then
  find /tmp -not -newer /root/usermanager/data/tmp/.deltime -type f -exec rm -f {} \;
  find /var/lib/samba/pdfdocs -not -newer /root/usermanager/data/tmp/.deltime -type f -exec rm -f {} \;
  find /usr/local/httpd/htdocs/squirrelmail/attachments/ -not -newer /root/usermanager/data/tmp/.deltime -type f -exec rm -f {} \;
  find /usr/local/httpd/htdocs/ldap/tmp/ -not -newer /root/usermanager/data/tmp/.deltime -type f -exec rm -f {} \;
fi
touch /root/usermanager/data/tmp/.deltime

# scanning disk of viruses
clamscan -r --stdout /var/lib/samba/templates | egrep -v ': (OK|Empty file)'
clamscan -r --stdout /var/lib/samba/pdfdocs | egrep -v ': (OK|Empty file)'
clamscan -r --stdout /home | egrep -v ': (OK|Empty file)'
clamscan -r --stdout /var/imap/spool/user | egrep -v ': (OK|Empty file)'
clamscan -r --stdout /usr/local/httpd/htdocs | egrep -v ': (OK|Empty file)'
