#!/bin/sh
########################################################################
# File:           setup/samba.sh                                       #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.97                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf

cat << EOF > /var/lib/samba/software/Windows/AddDomainGroups.cmd
rem German version:
net localgroup Administratoren "$WINDOMAIN\\Domain Admins" /add
net localgroup Benutzer "$WINDOMAIN\\Domain Users" /add
net localgroup Gste "$WINDOMAIN\\Domain Guests" /add
rem US version:
net localgroup Administrators "$WINDOMAIN\\Domain Admins" /add
net localgroup Users "$WINDOMAIN\\Domain Users" /add
net localgroup Guests "$WINDOMAIN\\Domain Guests" /add
pause
EOF
cat << EOF > /var/lib/samba/software/Windows/nettime.cmd
net time \\\\$HOSTNAME /set /yes
EOF
