#!/bin/sh
########################################################################
# File:           setup/ldapexplorer.sh                                #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
##############################################################
# phpMyAdmin configuration                                   #
##############################################################
# You may add
# -e "s|\$cfg\['PmaAbsoluteUri'\][ \t]*=[ \t]*'[^']*'|\$cfg\['PmaAbsoluteUri'\]='https://$FQHOSTNAME/phpMyAdmin/|g"
# to the sed commands, if the URL auto-detection code doesn't work properly
cat /usr/local/httpd/htdocs/phpMyAdmin/config.inc.php | sed -e "s|\$cfg\['Servers'\]\[\$i\]\['controlpass'\]\([ \t]*\)=[ \t]*'[^'][^']*'|\$cfg\['Servers'\]\[\$i\]\['controlpass'\]\1= '$MYSQLPROXYPASSWD'|g" > /usr/local/httpd/htdocs/phpMyAdmin/config.inc.php-new
mv /usr/local/httpd/htdocs/phpMyAdmin/config.inc.php-new /usr/local/httpd/htdocs/phpMyAdmin/config.inc.php
cat << EOF > /root/runonce2.sh
mysqladmin -u pma --password=\`cat $DATAPATH/mysqlproxypasswd\` password "$MYSQLPROXYPASSWD"
echo -n "$MYSQLPROXYPASSWD" > $DATAPATH/mysqlproxypasswd
chmod 600 $DATAPATH/mysqlproxypasswd
EOF
echo "Password for pma will be set at next logon time for root"
chmod 755 /root/runonce2.sh
echo "or by starting /root/runonce2.sh manually and deleting the"
echo "file afterwards."
